help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: #<EMACS BUG: INVALID DATATYPE (0x01) Save your buffers immediately a


From: Jean Louis
Subject: Re: #<EMACS BUG: INVALID DATATYPE (0x01) Save your buffers immediately and please report this bug>
Date: Sun, 28 Apr 2019 07:14:47 +0200
User-agent: Mutt/1.10.1 (2018-07-13)

* Eli Zaretskii <address@hidden> [2019-04-28 04:29]:
> > Date: Sat, 27 Apr 2019 22:13:42 +0200
> > From: Jean Louis <address@hidden>
> > 
> > I was using the module emacs-libpq for months
> > without problem. Reference:
> > https://github.com/anse1/emacs-libpq/issues/9
> > 
> > Now I have upgraded to the latest development
> > version of Emacs and am getting this bug below.
> > 
> > (["tlds_id" "integer" "nextval('tlds_tlds_id_seq'::regclass)" "" 1 #<EMACS 
> > BUG: INVALID DATATYPE (0x01) Save your buffers immediately and please 
> > report this bug> "" #<EMACS BUG: INVALID DATATYPE (0x01) Save your buffers 
> > immediately and please report this bug> #<EMACS BUG: INVALID DATATYPE 
> > (0x01) Save your buffers immediately and please report this bug> "p" 
> > #<EMACS BUG: INVALID DATATYPE (0x01) Save your buffers immediately and 
> > please report this bug> "ID"] ["tlds_tld" "text" #<EMACS BUG: INVALID 
> > DATATYPE (0x01) Save your buffers immediately and please report this bug> 
> > "" 2 #<EMACS BUG: INVALID DATATYPE (0x01) Save your buffers immediately and 
> > please report this bug> "" #<EMACS BUG: INVALID DATATYPE (0x01) Save your 
> > buffers immediately and please report this bug> #<EMACS BUG: INVALID 
> > DATATYPE (0x01) Save your buffers immediately and please report this bug> "x
> > 
> > Not even "SELECT 1" I can do without this bug
> > appearing.
> > 
> > If somebody have a clue, let me know.
> 
> Did you try recompiling the module against the new emacs-module.h?


Header of that module is here:
 #include <emacs-module.h>
 #include <libpq-fe.h>
 #include "pg_type.h"
 #include <stdio.h>
 #include <string.h>
 #include <stdlib.h>
 #include <assert.h>


Module emacs-libpq is here:
https://github.com/anse1/emacs-libpq/blob/master/pq.c

I am now trying to checkout some earlier version of Emacs to make it work. 

And I found out everything works fine in commit commit
1dff09739346037a588a3b9290800c09a9b3409a from Fri Feb 1 03:01:39 2019
+0300

Commit from March 1st 2019 did not work.

I will now try to move February 14th and let you know.

Jean



reply via email to

[Prev in Thread] Current Thread [Next in Thread]